=== debian/changelog ===
dbusada (0.2-2) unstable; urgency=low

  * Add project specific git-buildpackage configuration
  * Build dynamic/static libs in separate Obj/Lib dirs (Closes: #663672)

 -- Reto Buerki <reet@codelabs.ch>  Tue, 27 Mar 2012 14:39:21 +0200

dbusada (0.2-1) unstable; urgency=low

  * Initial release (Closes: #651159)

 -- Reto Buerki <reet@codelabs.ch>  Sun, 11 Mar 2012 21:15:11 +0100
