=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: asciidoc, debhelper (>= 8), gnat, gnat-4.6, libahven3-dev,
 libdbus-1-dev, libdbus-glib-1-dev, source-highlight
Standards-Version: 3.9.3
Homepage: http://www.codelabs.ch/dbus-ada/
Vcs-Browser: http://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: http://git.codelabs.ch/git/dbus-ada.git

Package: libdbusada0.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.

Package: libdbusada0.2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdbusada0.2 (= ${binary:Version}),
 libdbus-1-dev, libdbus-glib-1-dev, gnat, gnat-4.6
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.

Package: libdbusada0.2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libdbusada0.2 (= ${binary:Version}),
 libdbusada0.2-dev (= ${binary:Version})
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the debugging symbols.
