=== debian/changelog ===
dbusada (0.3-1ubuntu1) utopic; urgency=medium

  * Work-around --as-needed link failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Aug 2014 21:07:18 +0200

dbusada (0.3-1) unstable; urgency=medium

  * Update gbp.conf settings
  * Set debian/compat level to 9
  * Update to release 0.3
  * Drop obsolete 'dynamic/static libs in separate dirs' patch
  * Update copyright information
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update to Standards-Version 3.9.5
  * Specify debian branch in Vcs-Git field
  * Update binary package names
  * Enable dpkg-buildflags hardening options
  * Transition to gnat-4.9 compiler (Closes: #755076)
  * Update ahven Build-Depends to libahven4-dev
  * Adjust paths in debian/*.install files
  * Remove obsolete rm calls from override_dh_auto_install
  * Decouple the aliversion from the soversion
  * Remove soversion from libdbusada-dbg package

 -- Reto Buerki <reet@codelabs.ch>  Thu, 14 Aug 2014 16:38:12 +0200
