=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.9, libahven4-dev,
 libdbus-1-dev, libdbus-glib-1-dev, source-highlight
Standards-Version: 3.9.5
Homepage: http://www.codelabs.ch/dbus-ada/
Vcs-Browser: http://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: http://git.codelabs.ch/git/dbus-ada.git -b debian

Package: libdbusada0.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.

Package: libdbusada1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdbusada0.3 (= ${binary:Version}),
 libdbus-1-dev, libdbus-glib-1-dev, gnat, gnat-4.9
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.

Package: libdbusada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libdbusada0.3 (= ${binary:Version}),
 libdbusada1-dev (= ${binary:Version})
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the debugging symbols.
