## dbusada 0.3.3

=== Makefile ===
--- 
+++ 
@@ -13,28 +13,36 @@
 
 MAJOR   = 0
 MINOR   = 3
-VERSION = $(MAJOR).$(MINOR)
+REV     = 3
+VERSION = $(MAJOR).$(MINOR).$(REV)
 DBUSADA = libdbusada-$(VERSION)
 TARBALL = $(DBUSADA).tar.bz2
 
 SO_LIBRARY   = libdbusada.so.$(VERSION)
 LIBRARY_KIND = dynamic
 
+NUM_CPUS ?= 1
+
+# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# environment or on the command line.
+GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+# GMAKE_OPTS should not be overridden because -p is essential.
+GMAKE_OPTS = -p ${GNATFLAGS} -margs
+
 PREPARE := $(shell mkdir -p $(OBJDIR))
 
 all: build_lib
 
 build_lib:
-	@gnatmake -p -Pd_bus_ada_lib -XVERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)" \
-		-cargs $(ADAFLAGS)
+	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_lib -XVERSION="$(VERSION)" \
+		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
 
 build_tests:
-	@gnatmake -p -Pd_bus_ada_tests
+	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_tests
 
 build_examples:
-	@gnatmake -p -Pd_bus_ada_examples -XVERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)"
+	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_examples
 
 install: install_lib install_$(LIBRARY_KIND)
