=== debian/changelog ===
dbusada (0.3.3-1) unstable; urgency=medium

  * Update to release 0.3.3 (Closes: #758741, #795983)
  * Transition to gnat-6 compiler (Closes: #830346)
  * Drop explicit libdbusada-dbg package
  * Update binary package names
  * Switch homepage and Vcs-* URLs to HTTPS
  * Update to Standards-Version 3.9.8
  * Update local gbp.conf
  * Update ahven Build-Depends to libahven5-dev
  * Include ada/debian_packaging-6.mk in debian/rules
  * Update addon/dbus_ada.gpr file
  * Add link-with-shared autopkgtest

 -- Reto Buerki <reet@codelabs.ch>  Mon, 18 Jul 2016 10:37:00 +0200
