=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-6, libahven5-dev,
 libdbus-1-dev, libdbus-glib-1-dev, source-highlight
Standards-Version: 3.9.8
Homepage: https://www.codelabs.ch/dbus-ada/
Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian

Package: libdbusada0.3.3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.

Package: libdbusada2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdbusada0.3.3 (= ${binary:Version}),
 libdbus-1-dev, libdbus-glib-1-dev, gnat, gnat-6
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.
