=== debian/watch ===
version=3
http://www.codelabs.ch/download/libdbusada-(.*)\.tar\.bz2
