## dbusada 0.4.0

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 TESTPID = `pidof rebounder`
 
 MAJOR   = 0
-MINOR   = 3
-REV     = 3
+MINOR   = 4
+REV     = 0
 VERSION = $(MAJOR).$(MINOR).$(REV)
 DBUSADA = libdbusada-$(VERSION)
 TARBALL = $(DBUSADA).tar.bz2
