=== doc/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	cp $< $@
 
 $(DESTDIR)/index.html: index page.conf ../README
-	asciidoc $(ASCIIDOC_OPTS) $< > $@
+	TZ=UTC asciidoc $(ASCIIDOC_OPTS) $< > $@
 
 clean:
 	rm -f $(DESTDIR)/*
