=== debian/changelog ===
dbusada (0.4.0-2) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Remove dangling references from g++ generated code. Closes: #875818.

 -- Reto Buerki <reet@codelabs.ch>  Sat, 23 Sep 2017 21:23:07 +0200

dbusada (0.4.0-1) unstable; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.4.0
  * Put dh_missing in separate override_dh_missing target

  [ Nicolas Boulenguez ]
  * Watch file version 4.
  * Test: remove unused variable, display executed commands.
  * Debhelper 10. Replace deprecated --fail-missing dh_install option.
  * Standards-Version: 4.1.0.
  * Avoid hardcoded versions whenever possible.
  * Enable all hardening flags.
  * Declare phony targets.
  * Make runtime package Multi-Arch: same. Install project into right path.
  * Make short descriptions distinct.
  * Register documentation in doc-base.
  * Build with gnat-7 and libahven6-dev (Closes: #872544)
  * Refresh the thin binding.
  * Check upstream signature.
  * Clarify passing of build flags.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 04 Sep 2017 09:20:29 +0200
