=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 libahven6-dev,
 pkg-config,
# To regenerate the thin binding.
 libdbus-1-dev, libdbus-glib-1-dev, source-highlight
Standards-Version: 4.1.0
Homepage: https://www.codelabs.ch/dbus-ada/
Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian

Package: libdbusada0.4.0
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system (runtime)
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.

Package: libdbusada3-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdbusada0.4.0 (= ${binary:Version}),
 libdbus-1-dev, libdbus-glib-1-dev, gnat, gnat-7
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.
