## dbusada 0.4.2

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 MAJOR   = 0
 MINOR   = 4
-REV     = 0
+REV     = 2
 VERSION = $(MAJOR).$(MINOR).$(REV)
 DBUSADA = libdbusada-$(VERSION)
 TARBALL = $(DBUSADA).tar.bz2
@@ -23,26 +23,26 @@
 
 NUM_CPUS ?= 1
 
-# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# GNAT_BUILDER_FLAGS, ADAFLAGS and LDFLAGS may be overridden in the
 # environment or on the command line.
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -p ${GNAT_BUILDER_FLAGS} \
+  $(foreach v,ADAFLAGS LDFLAGS VERSION,"-X$(v)=$($(v))")
 
 PREPARE := $(shell mkdir -p $(OBJDIR))
 
 all: build_lib
 
 build_lib:
-	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_lib -XVERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
+	gprbuild $(GMAKE_OPTS) -Pd_bus_ada_lib -XLIBRARY_KIND=$(LIBRARY_KIND)
 
 build_tests:
-	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_tests
+	gprbuild $(GMAKE_OPTS) -Pd_bus_ada_tests -XLIBRARY_KIND=static
 
 build_examples:
-	gnatmake $(GMAKE_OPTS) -p -Pd_bus_ada_examples
+	gprbuild $(GMAKE_OPTS) -Pd_bus_ada_examples -XLIBRARY_KIND=static
 
 install: install_lib install_$(LIBRARY_KIND)
 
@@ -56,10 +56,10 @@
 	install -m 644 $(GPR_FILES) $(PREFIX)/lib/gnat
 
 install_static:
-	install -m 444 $(LIBDIR)/$(LIBRARY_KIND)/libdbusada.a $(PREFIX)/lib
+	install -m 644 $(LIBDIR)/$(LIBRARY_KIND)/libdbusada.a $(PREFIX)/lib
 
 install_dynamic:
-	install -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
+	install -m 644 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
 	cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libdbusada.so
 
 tests: build_tests $(TESTBIN)
