=== debian/changelog ===
dbusada (0.4.2-3) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition. Closes: #897736.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:42 +0200

dbusada (0.4.2-2) experimental; urgency=medium

  * Restore a paragraph removed by error from the thin binding generator
    when switching to g++-8, but still necessary on most architectures.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 12 Sep 2018 19:42:56 +0200

dbusada (0.4.2-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update copyright (Closes: #905818)
  * Update to release 0.4.2

  [ Nicolas Boulenguez ]
  * Simplify the packaging with dh-ada-library.
  * Regenerate the thin binding (to ensure that the end user can rebuild)
    but with g++-8 (independently of the current default C++ compiler).
  * Standards-Version: 4.2.1. No changes.
  * Give each binary package a distinct description.
  * Set as-needed and no-undefined linker options explicitly.
  * Pass a consistent set of flags to each Make, show them in the log.
  * Use dh_auto_* options instead of raw make (for example, -j).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Sep 2018 10:11:55 +0200

dbusada (0.4.1-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Remove source/local-options
  * Debhelper 11 (no changes)
  * Standards-Version: 4.1.5. Rules-Requires-Root: no
  * Explicitly mark template_dbusada.gpr as library project
  * Update copyright
  * Add Nicolas as uploader
  * Rebuild with gnat-8. Bump ALI and SO version

  [ Reto Buerki ]
  * Update to release 0.4.1
  * Do not refresh thin binding
  * Switch to https in debian/watch

 -- Reto Buerki <reet@codelabs.ch>  Thu, 09 Aug 2018 13:54:05 +0200
