=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 11),
 dh-ada-library,
 g++-8,
# scripts/generate-thin-binding.sh
 gnat, gnat-8,
# This line is parsed by debian/rules.
 gprbuild,
 libahven7-dev,
 pkg-config,
# To regenerate the thin binding.
 libdbus-1-dev, libdbus-glib-1-dev, source-highlight
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/dbus-ada/
Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian

Package: libdbusada0.4.1
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system (runtime)
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the shared library.

Package: libdbusada4-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libdbus-1-dev,
 libdbus-glib-1-dev,
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.
