=== debian/changelog ===
dbusada (0.5.0-4) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Swap binary packages in control files
  * Standards-Version: 4.5.0

  [ Reto Buerki ]
  * Add patch to create $(OBJDIR)/tests. Closes: ##955976

 -- Reto Buerki <reet@codelabs.ch>  Wed, 08 Apr 2020 13:10:23 +0200

dbusada (0.5.0-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 13:49:12 +0100

dbusada (0.5.0-2) experimental; urgency=medium

  * Restore a paragraph removed from the thin binding generator when switching
    to g++-9, but still necessary on most architectures (see 0.4.2-2).
  * Use less redundant dh-sequence-* syntax for dh-ada-library.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Dec 2019 22:18:02 +0100

dbusada (0.5.0-1) experimental; urgency=medium

  * New upstream release, built with gcc-9. Closes: #944183.
    Rename lib and -dev package accordingly.
  * Repackage without fonts.
  * Debhelper 12 does not compress examples anymore.
  * Documentation is now generated with asciidoctor.
  * Standards-Version: 4.4.1.
  * Enable all linker warnings.
  * Update AUTOPKGTEST_TMP variable name.
  * Update upstream signing key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 16 Nov 2019 20:31:48 +0100
