=== debian/control ===
Source: dbusada
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoctor,
 debhelper-compat (= 12),
 dh-sequence-ada-library,
 g++-9,
# scripts/generate-thin-binding.sh
 gnat, gnat-9,
# This line is parsed by debian/rules.
 gprbuild,
 libahven8-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 pkg-config,
 ruby-pygments.rb,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/dbus-ada/
Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian

Package: libdbusada5-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libdbus-1-dev,
 libdbus-glib-1-dev,
Description: Ada bindings to the D-Bus message bus system
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the development files.

Package: libdbusada0.5.0
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada bindings to the D-Bus message bus system (runtime)
 The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
 inter-process communication on Linux desktop systems.
 .
 This package contains the shared library.
