=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    gnat_version:=\1 \
  /p;\
  s/^Package: libdbusada\([0-9.]\+\)$$/ \
    VERSION:=\1 \
  /p;\
  s/^Package: \(libdbusada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

make_vars := \
  GNAT_BUILDER_FLAGS='$(BUILDER_OPTIONS)' \
  $(foreach v,ADAFLAGS LDFLAGS VERSION,$(v)='$($(v))')

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	if [ ! -e thin.bak ]; then \
	  mv thin thin.bak && \
	  sh scripts/generate-thin-binding.sh; \
	fi
	dh_auto_build -- $(make_vars)
	dh_auto_build -- LIBRARY_KIND=static $(make_vars)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- doc $(make_vars)
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests $(make_vars)
endif

.PHONY: override_dh_auto_install
# Empty.

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean debian/$(dev_pkg).doc-base
	if [ -e thin.bak ]; then \
	  rm -r thin && \
	  mv thin.bak thin; \
	fi

override_dh_auto_build: debian/$(dev_pkg).doc-base
debian/$(dev_pkg).doc-base: debian/template_libdbusada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
