## dbusada 0.6.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TESTPID = `pidof rebounder`
 
 MAJOR   = 0
-MINOR   = 5
+MINOR   = 6
 REV     = 0
 VERSION = $(MAJOR).$(MINOR).$(REV)
 DBUSADA = libdbusada-$(VERSION)
@@ -69,7 +69,10 @@
 
 examples: build_examples
 
-$(TESTBIN): $(TESTDIR)/c/dbus-rebound.c
+$(OBJDIR)/tests:
+	@mkdir -p $@
+
+$(TESTBIN): $(TESTDIR)/c/dbus-rebound.c | $(OBJDIR)/tests
 	gcc $? $(PKGCONF) -o $@
 
 doc:
