=== debian/changelog ===
dbusada (0.6.0-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 10:46:57 +0200

dbusada (0.6.0-4) experimental; urgency=medium

  * Build with gcc-11 for experimental. Rename -dev package accordingly.
  * Use unversioned debian_packaging.mk from gnat package.
  * Standards-Version: 4.6.0 (no changes).
  * Remove arch or version dependent paths from comments (hopefully
    reducing the noise in future diffs).
  * Use build flags when building tests/rebounder.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 31 Mar 2022 20:07:38 +0000

dbusada (0.6.0-3) unstable; urgency=medium

  * Reupload to unstable for gnat- transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 14:39:28 +0100

dbusada (0.6.0-2) experimental; urgency=medium

  * Add patch to strip stdarg_h.Class_va_list again

 -- Reto Buerki <reet@codelabs.ch>  Tue, 17 Nov 2020 09:04:07 +0100

dbusada (0.6.0-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Remove the thin binding from repackaged upstream tarball
  * Debhelper 13
  * Transmit build flags via the environment
  * Remove some references to aliversion from doc-base
  * Remove applied patches
  * Build with gcc-10
  * Delegate C dependencies to dh-ada-library
  * Update copyright

  [ Reto Buerki ]
  * Remove font-awesome.css from Files-Excluded
  * Update to repackaged upstream 0.6.0
  * Add patch to disable message dispatcher tests

 -- Reto Buerki <reet@codelabs.ch>  Fri, 23 Oct 2020 09:52:47 +0200
