=== debian/control ===
--- 
+++ 
@@ -5,38 +5,37 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  asciidoctor,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
- g++-9,
+ g++-11,
 # scripts/generate-thin-binding.sh
- gnat, gnat-9,
-# This line is parsed by debian/rules.
+ gnat,
+ gnat-11,
  gprbuild,
- libahven8-dev,
+ libahven10-dev,
  libdbus-1-dev,
  libdbus-glib-1-dev,
  pkg-config,
  ruby-pygments.rb,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/dbus-ada/
 Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
 Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian
 
-Package: libdbusada5-dev
+Package: libdbusada7-dev
 # This line is parsed by debian/rules.
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
- libdbus-1-dev,
- libdbus-glib-1-dev,
 Description: Ada bindings to the D-Bus message bus system
  The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
  inter-process communication on Linux desktop systems.
  .
  This package contains the development files.
 
-Package: libdbusada0.5.0
+Package: libdbusada0.6.0
 # This line is parsed by debian/rules.
 Architecture: any
 Multi-Arch: same
