=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^Package: libdbusada\([0-9.]\+\)$$/ \
    VERSION:=\1 \
  /p;\
  s/^Package: \(libdbusada[0-9.]\+-dev\)$$/ \
    dev_pkg:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

make_vars := \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)' \
  VERSION=$(VERSION)

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(make_vars)
	dh_auto_build -- LIBRARY_KIND=static $(make_vars)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- doc $(make_vars)
endif

override_dh_auto_build: thin
thin:
	sh scripts/generate-thin-binding.sh

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) tests $(make_vars)

.PHONY: override_dh_auto_install
# Empty.

# d/doc-base affects -dev, the first package in d/control
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libdbusada-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
