=== debian/changelog ===
dbusada (0.6.2-4) unstable; urgency=medium

  * Break/Replace libdbusada*-dev since oldstable. Closes: #1034914.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:34:08 +0200

dbusada (0.6.2-3) unstable; urgency=medium

  * Let -dev depend on libdbus*-dev (previously done by dh-ada-library).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 18:33:03 +0000

dbusada (0.6.2-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:15:28 +0100

dbusada (0.6.2-1) experimental; urgency=medium

  * Build with gnat/12 and dh-ada-library/8.2 for experimental.
    Rename -dev package accordingly.
  * New upstream version.
  * Standards-Version: 4.6.1
  * Stop build-depending on unversioned gnat
  * Update copyright years
  * Add upstream metadata
  * Stop repackaging, embed fonts, refresh binding
  * Revert dh_auto_build to Make
  * Install: prefer an explicit package for installation of the project

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 18:59:10 +0100
