=== debian/control ===
--- 
+++ 
@@ -6,29 +6,31 @@
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.2),
  dh-sequence-ada-library,
- g++-11,
+ g++-12,
 # scripts/generate-thin-binding.sh
- gnat,
- gnat-11,
+ gnat-12,
  gprbuild,
- libahven10-dev,
+ libahven11-dev,
  libdbus-1-dev,
  libdbus-glib-1-dev,
  pkg-config,
  ruby-pygments.rb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/dbus-ada/
 Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
 Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian
 
-Package: libdbusada7-dev
-# This line is parsed by debian/rules.
+Package: libdbusada8-dev
+Breaks: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev
+Replaces: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
+ libdbus-1-dev,
+ libdbus-glib-1-dev,
 Description: Ada bindings to the D-Bus message bus system
  The D_Bus/Ada library provides an Ada binding to the D-Bus message bus used for
  inter-process communication on Linux desktop systems.
@@ -36,7 +38,6 @@
  This package contains the development files.
 
 Package: libdbusada0.6.0
-# This line is parsed by debian/rules.
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
