=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

make_vars := \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(make_vars) VERSION=$(dbusada_SO_VERSION)
	$(MAKE) $(make_vars) VERSION=
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc $(make_vars)
endif

override_dh_auto_build: thin-stamp
thin-stamp:
	rm -fr thin
	sh scripts/generate-thin-binding.sh g++-$(DEB_GNAT_VERSION)
	touch $@

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) tests $(make_vars)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install $(make_vars) VERSION= \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'
	$(MAKE) install $(make_vars) VERSION=$(dbusada_SO_VERSION) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,dbusada)'

# d/doc-base affects -dev, the first package in d/control
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libdbusada-dev.doc-base
	sed s/@dev_pkg@/$(dbusada_DEV_PKG)/ $< > $@

execute_after_dh_install:
	dh_install --package=$(dbusada_DEV_PKG) \
	  debian/dbusada.gpr $(DEB_GNAT_PROJECT_DIR)
