## dbusada 0.6.3

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 MAJOR   = 0
 MINOR   = 6
-REV     = 2
+REV     = 3
 VERSION = $(MAJOR).$(MINOR).$(REV)
 # Set VERSION to '' for a static library.
 DBUSADA = libdbusada-$(VERSION)
