=== debian/changelog ===
dbusada (0.6.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with GCC 15. (Closes: #1096509)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 13:29:06 +0300

dbusada (0.6.3-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.  Closes: #1100460.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Mar 2025 15:56:29 +0100

dbusada (0.6.3-1) experimental; urgency=medium

  * New upstream release
  * Build with gnat-14
  * Mark Disable-message-dispatcher-tests.patch as Forwarded: not-needed
  * Apply build flags during C translation and tests
  * Update copyright years
  * Bump Standards-Version (no changes)

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 00:05:02 +0100

dbusada (0.6.2-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:15:56 +0000

dbusada (0.6.2-5) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat in addition to gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples} files and test
    dependencies now that the -dev package is unversioned.
  * Stop providing the gnat project under two names.
  * Apply 944e0909: containers: add missing constant keyword.
  * Prevent recompilation by test and install targets.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 01 Jan 2024 16:28:50 +0000
