=== debian/control ===
--- 
+++ 
@@ -6,26 +6,29 @@
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 8.2),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- g++-12,
-# scripts/generate-thin-binding.sh
- gnat-12,
- gprbuild,
- libahven11-dev,
+ g++-14,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
+ libahven-dev,
  libdbus-1-dev,
  libdbus-glib-1-dev,
- pkg-config,
+ pkgconf,
  ruby-pygments.rb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/dbus-ada/
 Vcs-Browser: https://git.codelabs.ch/?p=dbus-ada.git
 Vcs-Git: https://git.codelabs.ch/git/dbus-ada.git -b debian
 
-Package: libdbusada8-dev
-Breaks: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev
-Replaces: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev
+Package: libdbusada-dev
+Breaks: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev,
+ libdbusada8-dev
+Replaces: libdbusada4-dev, libdbusada5-dev, libdbusada6-dev, libdbusada7-dev,
+ libdbusada8-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
@@ -37,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libdbusada0.6.0
+Package: libdbusada0.6.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
