=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/packaging.mk
 
+# -m prevents a rebuild of the thin binding for examples and installation
 make_vars := \
-  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'
+  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS) -m'
 
 %:
 	dh $@
@@ -37,12 +38,3 @@
 	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'
 	$(MAKE) install $(make_vars) VERSION=$(dbusada_SO_VERSION) \
 	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,dbusada)'
-
-# d/doc-base affects -dev, the first package in d/control
-override_dh_auto_build: debian/doc-base
-debian/doc-base: debian/template_libdbusada-dev.doc-base
-	sed s/@dev_pkg@/$(dbusada_DEV_PKG)/ $< > $@
-
-execute_after_dh_install:
-	dh_install --package=$(dbusada_DEV_PKG) \
-	  debian/dbusada.gpr $(DEB_GNAT_PROJECT_DIR)
