=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.codelabs.ch/download/libdbusada@ANY_VERSION@@ARCHIVE_EXT@
